<?php

return array(
    'name'          => 'Prodalet',
    'host'          => 'https://prodalet.ru',
    'img'           => 'img/logo.png',
    'icons'         => array(
        16 => 'img/logo.png'
    ),
    'shop_settings' => true,
    'custom_settings' => true,
    'version'       => '2.1.0',
    'description' => 'Модули брошенной корзины, онлайн чат, обратный звонок',
    'vendor'        => 1088477,
   //'frontend'      => true,
    'handlers'      => array(
        //Обработка всех обарщений в магазине
        'routing'                 => 'routing',

        //Вставка кода во все страницы  CMS
        'frontend_head'           => 'frontendHead',

        //Обработка хуков с корзиной
        'cart_add'                => 'update_cart',// add to basket = update basket
        'cart_delete'             => 'update_cart', // update basket

        //Обработка хука просмотра товара
        'frontend_product'        => 'view_product', // product view

        //обработка хука работы с товаром
        'order_action.create'     => 'purchase',     // start
        'order_action.delete'     => 'order_delete', // delete
        'order_action.complete'   => 'order_state',  // completed
        'order_action.callback'   => 'order_state',  // callback from payment system
        'order_action.pay'        => 'order_state',  // paid
        'order_action.restore'    => 'order_state',  // restored
        'order_action.refund'     => 'order_state',   // refunded
        'order_action.ship'       => 'order_state',  // shipped
        'order_action.process'    => 'order_state',  // processing
        'order_action.edit'       => 'order_state',  // редактирование заказ

        //Обработка хука страницы оформления заказ
        'frontend_checkout'=>'checkout',
    ),
);
