<?php

class shopProdaletPluginSettingsAction extends waViewAction
{


    public function execute()
    {

        $plugin_id = 'prodalet';
        $plugin = waSystem::getInstance()->getPlugin($plugin_id);
        $settings = $plugin->getSettings();

        wa('site');
        $domains = siteHelper::getDomains(true);

        $this->view->assign('domains', $domains);
        $this->view->assign('exist_curl', function_exists('curl_exec'));
        $this->view->assign('settings', $settings);

        $need2update = false;
        $need2redirect = false;

        $data = array();


        foreach ($domains as $domain => $id) {
            $data[$domain]['api_key'] = !empty($settings['options']['domains'][$domain]['api_key']) ? $settings['options']['domains'][$domain]['api_key'] : '';
            $data[$domain]['api_secret'] = !empty($settings['options']['domains'][$domain]['api_secret']) ? $settings['options']['domains'][$domain]['api_secret'] : '';
            $data[$domain]['lazy_load'] = !empty($settings['options']['domains'][$domain]['lazy_load']) ? $settings['options']['domains'][$domain]['lazy_load'] : '';

            if (waRequest::get('domain') && (waRequest::get('domain') == $id['name'])) {

                if (waRequest::get('a') && (waRequest::get('a') == 'pltreset')) {

                    if (waRequest::get('k') && (preg_match('~^[a-z0-9]{24,24}$~', waRequest::get('k')))) {

                        $need2redirect = true;

                        if (waRequest::get('s') && (preg_match('~^[a-z0-9]{72,72}$~', waRequest::get('s'))) && waRequest::get('domain')) {

                            if ($data[$domain]['api_key'] != waRequest::get('k')) {
                                $data[$domain]['api_key'] = waRequest::get('k');
                                $need2update[waRequest::get('k')] = waRequest::get('s');
                            }

                            if ($data[$domain]['api_secret'] != waRequest::get('s')) {
                                $data[$domain]['api_secret'] = waRequest::get('s');
                                $need2update[waRequest::get('k')] = waRequest::get('s');
                            }


                        }

                    }
                }

            }
        }

        

        if ($need2update) {
            foreach ($need2update as $k => $s) {
                $plugin->pingCMS($k, $s);
            }
        } elseif ($need2redirect) {
            //return wa()->getResponse()->redirect('/webasyst/shop/?action=plugins#/prodalet', 302);
        }

        $this->view->assign('need2update', $need2update);

        $this->view->assign('data', $data);

    }

}
